package com.ruoyi.basicData.service;

import com.ruoyi.basicData.domain.TGoods;
import com.ruoyi.common.core.domain.AjaxResult;

import java.util.List;
import java.util.Map;


/**
 * 商品详情Service接口
 *
 * @author ruoyi
 * @date 2020-12-11
 */
public interface ITGoodsService {
    /**
     * 查询商品详情
     *
     * @param fId 商品详情ID
     * @return 商品详情
     */
    public TGoods selectTGoodsById(Long fId);

    /**
     * 查询商品详情列表
     *
     * @param tGoods 商品详情
     * @return 商品详情集合
     */
    public List<TGoods> selectTGoodsList(TGoods tGoods);

    /**
     * 新增商品详情
     *
     * @param tGoods 商品详情
     * @return 结果
     */
    public int insertTGoods(TGoods tGoods);

    /**
     * 修改商品详情
     *
     * @param tGoods 商品详情
     * @return 结果
     */
    public AjaxResult updateTGoods(TGoods tGoods);

    /**
     * 批量删除商品详情
     *
     * @param fIds 需要删除的商品详情ID
     * @return 结果
     */
    public AjaxResult deleteTGoodsByIds(Long[] fIds);

    /**
     * 删除商品详情信息
     *
     * @param fId 商品详情ID
     * @return 结果
     */
    public int deleteTGoodsById(Long fId);

    /**
     *  检验编号唯一
     * @return
     */
    public String checkUFNoUnique(TGoods tGoods);

    /**
     *  检验编号名称
     * @return
     */
    public String checkUFNnameUnique(TGoods tGoods);
    /**
     * 获取商品名
     * @return
     */
    public List<Map<String,Object>> getGoodName();
}
